#ifndef __LOOPBACK_H__
#define __LOOPBACK_H__

#include <stdbool.h>

#define  CANBUS_MAX_DATA_SIZE 8
#define  CANBUS_MAX_COMPORT_STR_LEN 16
#define  MAXIFNAMES 30 /* size of receive name index to omit ioctls */

typedef struct
{

    char    send_CAN[CANBUS_MAX_COMPORT_STR_LEN + 1];
    bool    id_type;
    bool    rtr;
    int     data_length;
    int     sleep_interval;
    int     test_time;

} CFG_ITEM;

typedef struct
{
    /* [setting] */
    char    pair_1_device_1[CANBUS_MAX_COMPORT_STR_LEN + 1];
    char    pair_1_device_2[CANBUS_MAX_COMPORT_STR_LEN + 1];
    char    pair_2_device_1[CANBUS_MAX_COMPORT_STR_LEN + 1];
    char    pair_2_device_2[CANBUS_MAX_COMPORT_STR_LEN + 1];
    int     sleep_interval;
    int     test_time;
    int     monitor;

    /* [data] */
    int data_length;
    bool rtr;

    /* [id] */
    bool id_type;

} INI_ITEM;

#endif
