#!/bin/bash

### parameter
dynamic_sample_master_path=./canopen_sample_master_64_D
dynamic_sample_slave_path=./canopen_sample_slave_64_D
static_sample_master_path=./canopen_sample_master_64
static_sample_slave_path=./canopen_sample_slave_64

### script
sudo pkill -9 canopen_sample_
sleep 0.2

case "$1" in
  dynamic)
    echo "Starting canopen dynamic sample ..."
    ${dynamic_sample_slave_path} -b &
    ${dynamic_sample_master_path}
    ;;
  static)
    echo "Starting canopen static sample ..."
    ${static_sample_slave_path} -b &
    ${static_sample_master_path}
    ;;
  *)
    echo "Usage: ./start.sh {dynamic|static}"
    exit 1
    ;;
esac
 
exit 0